=== debian/changelog ===
pure-fastcgi (0.5-3) natty; urgency=low

  * Prevent zipping of examples

 -- Albert Graef <Dr.Graef@t-online.de>  Sat, 26 May 2012 23:37:26 +0200

pure-fastcgi (0.5-2) natty; urgency=low

  * Add examples

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 07:05:47 +0200

pure-fastcgi (0.5-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 22 May 2012 20:30:46 +0200
