=== debian/control ===
Source: pure-fastcgi
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libfcgi-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-fastcgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FastCGI interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This module lets you write FastCGI scripts with Pure, to be run by
 web servers like Apache.
 .
 Compared to normal CGI scripts, this has the advantage that the script keeps
 running and may process as many requests from the web server as you like, in
 order to reduce startup times and enable caching techniques. Note that in
 order to actually run such scripts, you also need to have a FastCGI module
 such as mod_fcgid installed in the web server.
